# How to get the answers

Imagine you have these two slides and you need to get the answers:

![](/files/-LsGdsE7S8g869YOV7hz)

![](/files/-LsGdvCzG-a0UlYcY6Y4)

The first thing you need to do is get each answer and field IDs from the IDs section:

![](/files/-LsGh8YmA1vUXuoaUgMl)

Now you can enter the following code in the slide JavaScript section:

```javascript
var isFlat = Extension.isSelectedOption(102, slides, history);
var isFlat = Extension.isSelectedOption(103, slides, history);
var name = Extension.getFormResponse(115, slides, 1, history);
var email = Extension.getFormResponse(115, slides, 2, history);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/api/how-to/how-to-get-the-answers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
